# Generated by Django 3.1.2 on 2020-12-23 01:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=255, verbose_name='Имя')),
                ('middle_name', models.CharField(max_length=255, verbose_name='Отчество')),
                ('last_name', models.CharField(max_length=255, verbose_name='Фамилия')),
                ('age', models.IntegerField(verbose_name='Возраст')),
                ('address', models.TextField()),
            ],
            options={
                'verbose_name': 'Клиет',
                'verbose_name_plural': 'Клиенты',
                'db_table': 'client',
            },
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=255, verbose_name='Имя')),
                ('middle_name', models.CharField(max_length=255, verbose_name='Отчество')),
                ('last_name', models.CharField(max_length=255, verbose_name='Фамилия')),
                ('position', models.CharField(max_length=255, verbose_name='Должность')),
            ],
            options={
                'verbose_name': 'Сотрудник',
                'verbose_name_plural': 'Сотрудники',
                'db_table': 'employee',
            },
        ),
        migrations.CreateModel(
            name='Meet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datetime', models.DateTimeField(auto_now_add=True)),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='corporation.client')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='corporation.employee')),
            ],
        ),
        migrations.AddField(
            model_name='employee',
            name='meets',
            field=models.ManyToManyField(related_name='meets', through='corporation.Meet', to='corporation.Client'),
        ),
    ]
